Package be.fgov.ehealth.hubservices.core.v3

# Class RequestListType

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.RequestType
be.fgov.ehealth.hubservices.core.v3.RequestListType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RequestList`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class RequestListType extends RequestType implements Serializable

Java class for RequestListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestListType">
       <complexContent>
         <extension base="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType">
           <sequence>
             <element name="paginationinfo" type="{http://www.ehealth.fgov.be/hubservices/core/v3}Paginationrequestinfo" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestListType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Paginationrequestinfo`
  `getPaginationinfo()`
  Gets the value of the paginationinfo property.
  `void`
  `setPaginationinfo(Paginationrequestinfo value)`
  Sets the value of the paginationinfo property.

  ### Methods inherited from class be.fgov.ehealth.hubservices.core.v3.RequestType

  `getAuthor, getBreaktheglass, getDate, getId, getMaxrows, getTime, setAuthor, setBreaktheglass, setDate, setId, setMaxrows, setTime`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestListType

    public RequestListType()

- ## Method Details

  - ### getPaginationinfo

    public Paginationrequestinfo getPaginationinfo()
    Gets the value of the paginationinfo property.
    Returns:
      possible object is `Paginationrequestinfo`

  - ### setPaginationinfo

    public void setPaginationinfo(Paginationrequestinfo value)
    Sets the value of the paginationinfo property.
    Parameters:
      `value` - allowed object is `Paginationrequestinfo`